import 'package:flutter/material.dart';

class ColorIcon extends StatelessWidget {
  final Color color;
  final VoidCallback? onTap;

  const ColorIcon({super.key, required this.color, this.onTap});

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: Container(
        width: 32,
        height: 32,
        decoration: BoxDecoration(
          color: color,
          shape: BoxShape.circle,
        ),
      ),
    );
  }
}
